function Points=extractPoints(FuzzyModel,Num_Points)
% function Points=extractPoints(FuzzyModel)
%
% HACER LA AYUDA Y TRADUCIR LAS VARIABLES Y COMENTARIOS
if ~exist('Num_Points','var') || isempty(Num_Points)  
    indice=1;
    m=size(FuzzyModel.input,2);

    for r=1:size(FuzzyModel.rule,2)
        Points(:,indice)=zeros(m,1);
        for i=1:m
            MF=FuzzyModel.input(i).mf(FuzzyModel.rule(r).antecedent(i));
            if strcmpi(MF.type,'gaussmf')
                Points(i,indice)=MF.params(2);
            elseif strcmpi(MF.type,'gauss2mf')
                if MF.params(2)==MF.params(4)
                    Points(i,indice)=MF.params(2);
                else
                    error('Gauss2mf centers must be the same.')
                end
            elseif strcmpi(MF.type,'constmf')
                Points(i,indice)=0; % Hay que cambiar el código en fuzdesign para hacer esto bien
            elseif strcmpi(MF.type,'nomf')
                Points(i,indice)=0; %S Hay que cambiar el código en fuzdesign para hacer esto bien
            elseif strcmpi(MF.type,'trimf')
                Points(i,indice)=MF.params(2);
            elseif strcmpi(MF.type,'trapmf')
                Points(i,indice)=(MF.params(3)-MF.params(2))/2+MF.params(2);
            elseif strcmpi(MF.type,'gbellmf')
                Points(i,indice)=MF.params(3);
            elseif strcmpi(MF.type,'smf')
                Points(i,indice)=MF.params(1);
            elseif strcmpi(MF.type,'zmf')
                Points(i,indice)=MF.params(2);
            else
                fprintf('%s\n',BF.type)
                error('Membership funtion not implemented in this function')
            end
        end    
        indice=indice+1;
    end
else
    % Hacer una rejilla sobre el Espacio de Estado
    n=size(FuzzyModel.input,2);
    Factor=0.9; % Evita que los puntos coincidan con los limites del espacio de estado
    if all(size(Num_Points)==1)
        Num_Points=ones(1,n)*Num_Points;
    end
    command=['['];
    for i=1:n
        command=strcat(command,sprintf('PointsTemp{%d},',i));
    end
    command=strcat(command(1:end-1),']=ndgrid(');
    for i=1:n
       inc=(FuzzyModel.input(i).range(2)-FuzzyModel.input(i).range(1))*Factor/(Num_Points(i)-1);
       command=strcat(command,sprintf('%d:%d:%d,',FuzzyModel.input(i).range(1)*Factor,inc,FuzzyModel.input(i).range(2)*Factor));
    end
    command=strcat(command(1:end-1),');');
    eval(command);
    Points=zeros(n,prod(size(PointsTemp{1})));
    for i=1:n
        for j=1:prod(size(PointsTemp{1}))
            Points(i,j)=PointsTemp{i}(j);
        end
    end
end
% NotRepited=[];
% for i=1:size(Points,2)
%     yes=1;
%     for j=i+1:size(Points,2)
%         if (all(Points(:,i)-Points(:,j)==0))
%             yes=0;
%         end
%     end
%     if yes
%         NotRepited=[NotRepited,i];
%     end
% end
% Points=Points(:,NotRepited);