function [F,J]=f_pq_j(x,S,C)
% Funcion creada para buscar los Puntos de Equilibrio con FSOLVE, empleando el Jacobiano.
%
% Dado el punto x, la Planta S y, si lo requiere el problema, el Controlador C, retorna
% el valor de la derivada del Vector de Estados y el Jacobiano en ese punto.
% global XX iteracion
% XX(:,iteracion)=x;
% iteracion=iteracion+1;
if (exist('C')==0 || isempty(C)) % U=0
    u=zeros(length(S.input)-length(S.output),1);
    F=fuzeval([x;u],S);
    J=fuzlinear(S,x,u);
else
    F=fuzeval(x,S,C);
    J=fuzjac(x,S,C);
end