function consecuentes=fuz2consec(Model)
% FUZ2CONSEC Extrae en un vector todos los datos de los consecuentes de un modelo borroso Sugeno.
% function consecuentes=fuz2consec(Model)
%
% Modelo -> Modelo borroso de tipo Sugeno.
% Vector -> Vector fila con todos los consecuentes del Modelo. Una vez modificados se pueden volver
% a introducir en el modelo mediante la función 'consec2fuz'.

if ~strcmpi('sugeno',Model.type)
    error('El Modelo debe ser de tipo Sugeno.')
end

consecuentes=[];
for r=1:length(Model.rule) % Para cada Regla
   R=Model.rule(r);
   for o=1:length(R.consequent) % Cada Salida
       fp=R.consequent(o);
       if fp
           V=Model.output(o).mf(fp).params; % Se extraen todos los datos del consecuente
       end
       consecuentes=[consecuentes,V];
   end
end