% FUZ2MAT Extract data from a fuzzy model.
% 
%         Vector = fuz2mat(Fuzzy_Model)
% 
%         Vector = fuz2mat(Fuzzy_Model,Output,Rule)
% 
%         [Vector,Error] = fuz2mat(Fuzzy_Model)
%
%         [Vector,Error] = fuz2mat(Fuzzy_Model,Output,Rule)
%
% Arguments:
% 
%     Vector -> Vector with data from fuzzy model.
%
%     Output -> Use to select the output.
%
%     Rule -> Use to select the rule for given output.
%
%     Error -> 0 if error, length of Vector if successfully.
%
%     Fuzzy_Model -> Fuzzy Model. This model could be a '.txt' or '.fis' file,
%                    or a 'FIS' variable from MATLAB Workspace. (See 'Fuzzy
%                    Logic Toolbox' help for more information about FIS).
%     
%  See also ANTEC2MAT, CONSEQ2MAT, MAT2ANTEC, MAT2CONSEQ, MAT2FUZ
%
% ##########################################################################
%
% Authors:
%    Antonio Javier Barragn Pia
%    URL: http://www.uhu.es/antonio.barragan
%    e-mail: antonio.barragan@diesia.uhu.es
%    
%    Jos Manuel Andjar Mrquez
%    e-mail: andujar@diesia.uhu.es
%
% Department of Electronics Engineering, Computer Systems and Automatics
% EPS La Rbida, University of Huelva (Spain)
%
% ##########################################################################
