% FUZEVAL Perform fuzzy inference calculations of closed loop fuzzy system.
% 
%         Salida=fuzeval(X_U,Fuzzy_Model)
% 
%         dX
%        ---- = fuzeval(X,Plant,Controller)
%         dt
%
%         X_U -> Input vector to inference system. [x1;x2;...;xn;u1;u2;...;um]
%
%         X -> State vector (column vector).
%
%         Plant -> Fuzzy model of Plant.
%
%         Controller -> Fuzzy model of Controller.
%         
% Fuzzy models could be a '.txt' or '.fis' file, or a 'FIS' variable from MATLAB
% Workspace. (See 'Fuzzy Logic Toolbox' help for more information about FIS).
%
%  See also FIS2TXT, FUZCOMB, FUZEQ, FUZJAC, FUZLINEAR, FUZPRINT, TXT2FIS
%
% ##########################################################################
%
% Authors:
%    Antonio Javier Barragn Pia
%    URL: http://www.uhu.es/antonio.barragan
%    e-mail: antonio.barragan@diesia.uhu.es
%    
%    Jos Manuel Andjar Mrquez
%    e-mail: andujar@diesia.uhu.es
%
% Department of Electronics Engineering, Computer Systems and Automatics
% EPS La Rbida, University of Huelva (Spain)
%
% ##########################################################################
