% FUZLINEAR Linealization of a Fuzzy Model in a point.
%
%       A=fuzlinear(Fuzzy_Model, X, U)
%
%       [A,B]=fuzlinear(Fuzzy_Model, X, U)
%
%       [A,B,F]=fuzlinear(Fuzzy_Model, X, U)
%
% Resuelve las matrices A, B y F de la representacion lineal segn Taylor del
% Modelo Borroso dado por la 'Planta', en el punto X con actuacion U. F coincide
% con el valor que toma la funcin en el punto (X,U).
%
%                             Y = Ax + Bu + F
%
% Argumentos:
%
%   Fuzzy_Model -> Fuzzy model to linealice.
%
%   X -> Punto del Espacio de Estados en el que se calcula la matriz A.
%
%   U -> Vector de Control en el que se calcula la matriz B.
%
% El Modelo Borroso de la Planta puede ser una variable FIS de MATLAB, 
% un fichero '.fis' o un fichero '.txt'. Consulte la documentacin de la
% 'Fuzzy Logic Toolbox' para ms informacin sobre el tipo de datos FIS.
%
%  See also FIS2TXT, FUZCOMB, FUZEVAL, FUZEQ, FUZJAC, FUZPRINT, TXT2FIS
%
% ##########################################################################
%
% Authors:
%    Antonio Javier Barragn Pia
%    URL: http://www.uhu.es/antonio.barragan
%    e-mail: antonio.barragan@diesia.uhu.es
%    
%    Jos Manuel Andjar Mrquez
%    e-mail: andujar@diesia.uhu.es
%
% Department of Electronics Engineering, Computer Systems and Automatics
% EPS La Rbida, University of Huelva (Spain)
%
% ##########################################################################
