% FUZPRINT Converts a fuzzy model in a text file with its linguistic representation. 
%
% Use the linguistic form:
%    "IF Name_of_Input1 is... and Name_of_Input2 is... THEN Name_of_Output1 es..."
% 
%     fuzprint('File.txt',Fuzzy_Model)
% 
%     fuzprint('File.txt',Fuzzy_Model,Name_of_Input1,Name_of_Input2,...,Name_of_Output1,Name_of_Output2,...)
% 
%     fuzprint('File.txt',Fuzzy_Model,Name_of_Input1,Name_of_Input2,...,Name_of_Output1,Name_of_Output2,...,Accuracy)
% 
% Arguments:
% 
%     'File.txt' -> String with the name of file to write. This file will be
%                   overwrited without confirmation.
%
%     Model -> Fuzzy model. Fuzzy model could be a '.txt' or '.fis' file, or a
%              'FIS' variable from MATLAB Workspace. (See 'Fuzzy Logic Toolbox'
%              help for more information about FIS).
%
%     Name_of_InputX -> String with the name of input X.
%
%     Name_of_OutputX -> String with the name of output X.
%
%     Accuracy -> Number of decimals to print (defult value is 10).
%
%  See also FIS2TXT, FUZCOMB, FUZEVAL, FUZEQ, FUZJAC, FUZLINEAR, TXT2FIS
%
% ##########################################################################
%
% Authors:
%    Antonio Javier Barragn Pia
%    URL: http://www.uhu.es/antonio.barragan
%    e-mail: antonio.barragan@diesia.uhu.es
%    
%    Jos Manuel Andjar Mrquez
%    e-mail: andujar@diesia.uhu.es
%
% Department of Electronics Engineering, Computer Systems and Automatics
% EPS La Rbida, University of Huelva (Spain)
%
% ##########################################################################
